Forgot Password
curl --request POST \
--url https://api.bunship.com/api/v1/auth/forgot-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>"
}
'import requests
url = "https://api.bunship.com/api/v1/auth/forgot-password"
payload = { "email": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>'})
};
fetch('https://api.bunship.com/api/v1/auth/forgot-password', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "If an account exists with that email, a password reset link has been sent."
}
Auth
Forgot Password
Request a password reset email
POST
/
api
/
v1
/
auth
/
forgot-password
Forgot Password
Sends a password reset link to the provided email address. To prevent email enumeration attacks, this endpoint always returns a success response regardless of whether the email exists in the system.
Auth
None required.Rate Limit
20 requests per minute per IP.Request Body
The email address associated with the account.
Response
Confirmation message. Always returns success to prevent email enumeration.
{
"message": "If an account exists with that email, a password reset link has been sent."
}
Example
curl -X POST https://api.bunship.com/api/v1/auth/forgot-password \
-H "Content-Type: application/json" \
-d '{"email": "user@example.com"}'
⌘I

